namespace Tiobon.Core.Model;


public class CustomFieldView
{
    /// <summary>
    /// 分组
    /// </summary>
    public string GroupName { get; set; }
    /// <summary>
    /// 字段
    /// </summary>
    public List<ModelTagView2Item> Fields { get; set; }
    public List<ModelTagView2Item> ExtFields { get; set; }
}

/// <summary>
/// 标签对应的描述
/// </summary>
public class ModelTagView2Item
{
    /// <summary>
    /// 描述
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// 字段
    /// </summary>
    public string Code { set; get; }
}

public class OfferTemplate
{
    /// <summary>
    /// 姓名
    /// </summary>
    [Description("姓名")]
    public string StaffName { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    [Description("电话")]
    public string Mobile { get; set; }

    /// <summary>
    /// 邮箱
    /// </summary>
    [Description("邮箱")]
    public string Email { get; set; }

    /// <summary>
    /// 身份证号码
    /// </summary>
    [Description("身份证号码")]
    public string IdCardNo { get; set; }

    /// <summary>
    /// 岗位
    /// </summary>
    [Description("岗位")]
    public string TitleName { get; set; }

    /// <summary>
    /// 汇报对象
    /// </summary>
    [Description("汇报对象")]
    public string ReportName { get; set; }

    /// <summary>
    /// 薪资
    /// </summary>
    [Description("试用期薪资")]
    public string Salary { get; set; }

    /// <summary>
    /// 薪资
    /// </summary>
    [Description("薪资")]
    public string AfterSalary { get; set; }

    /// <summary>
    /// 入职日期
    /// </summary>
    [Description("入职日期")]
    public string InDate { get; set; }

    [Description("公司类别")]
    public string CompanyName { get; set; }


}